Product comparison · 2 network switches

Allied Telesis 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch vs Dell PowerConnect 5424

Add a product
  • 21specifications compared
  • 16differ
  • 5identical
  • 36known for one product only

Key differences

  • Switch layer
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:L3
    • PowerConnect 5424:L2
  • Basic switching RJ-45 Ethernet ports quantity
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:48
    • PowerConnect 5424:24
  • Switching capacity
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:37.6 Gbit/s
    • PowerConnect 5424:48 Gbit/s
  • Maximum data transfer rate
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:0.1 Gbit/s
    • PowerConnect 5424:1 Gbit/s
  • Stackable
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:No
    • PowerConnect 5424:Yes
  • Dimensions (WxDxH)
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:440 x 440 x 44.5 mm
    • PowerConnect 5424:40 x 255 x 44 mm
  • Authentication method
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:TACACS+, RADIUS
    • PowerConnect 5424:RADIUS, TACACS+
  • Networking features
    • 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch:Etherent, Fast Ethernet
    • PowerConnect 5424:Gigabit Ethernet

Side by side

Differences highlightedShow differences only (on)
Comparison of 10/100TX x 48 ports managed Fast Ethernet Layer 3 switch, PowerConnect 5424
57 specifications
Management features2 differ
Switch layerDiffersL3L2
Web-based managementKnown for oneUnknown — not stated by the sourceYes
MIB supportDiffersYesFC 1213 MIB II, RFC 1215, RFC 1286, RFC 1442 SMIv2, RFC 1451, RFC 1492 TACACS+, RFC 1493, RFC 1573, RFC 1643, RFC 1757, RFC 1907, RFC 2011, RFC 2012, RFC 2013, RFC 2233, RFC 2618, RFC 2665, RFC 2666, RFC 2674, RFC 2737, RFC 2819, RFC 2863, Dell 5424
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers4824
Power connectorKnown for oneUnknown — not stated by the sourceDC-in jack
Network1 differ
Networking standardsDiffersIEEE 802.1D, IEEE 802.1Q, IEEE 802.1v, IEEE 802.2, IEEE 802.3ab, IEEE 802.3ac, IEEE 802.3ad, IEEE 802.3x, IEEE 802.3zIEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.2, IEEE 802.3, IEEE 802.3ac, IEEE 802.3ad, IEEE 802.3I, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
Port mirroringKnown for oneUnknown — not stated by the sourceYes
Auto MDI/MDI-XKnown for oneUnknown — not stated by the sourceYes
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Flow control supportKnown for oneUnknown — not stated by the sourceYes
Link aggregationKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolKnown for oneUnknown — not stated by the sourceYes
Number of VLANsKnown for oneUnknown — not stated by the source4000
Full duplexKnown for oneYesUnknown — not stated by the source
Data transmission2 differ
MAC address tableKnown for oneUnknown — not stated by the source8000 entries
Supported data transfer ratesKnown for oneUnknown — not stated by the source10/100/1000 Mbps
Switching capacityDiffers37.6 Gbit/s48 Gbit/s
Maximum data transfer rateDiffers0.1 Gbit/s1 Gbit/s
Jumbo frames supportKnown for oneUnknown — not stated by the sourceYes
Securityidentical
Access Control List (ACL)Known for oneUnknown — not stated by the sourceYes
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Static port securityKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for one3DES, DES, MD5Unknown — not stated by the source
Multicast featuresidentical
Multicast supportKnown for oneUnknown — not stated by the sourceYes
Protocols1 differ
Management protocolsDiffersSNMPSNMPv1, SNMP v2c, RMON, TFTP, CLI, Telnet, SNTP, BootP/DHCP
Data link protocolsKnown for oneUnknown — not stated by the sourceEthernet
Supported network protocolsKnown for oneUnknown — not stated by the sourceTelnet, HTTP, HTTPS/SSL, SSH, SNMP
Design1 differ
StackableDiffersNoYes
Product colourKnown for oneUnknown — not stated by the sourceBlack
SafetyKnown for oneUL60950-1, CAN/CSA-C22.2Unknown — not stated by the source
Other features3 differ
Dimensions (WxDxH)Differs440 x 440 x 44.5 mm40 x 255 x 44 mm
Authentication methodDiffersTACACS+, RADIUSRADIUS, TACACS+
Networking featuresDiffersEtherent, Fast EthernetGigabit Ethernet
Electromagnetic emissionsKnown for oneEN55022 class A, FCC class A,VCCI class AUnknown — not stated by the source
Electromagnetic immunityKnown for oneEN55024, EN61000-3-2/3Unknown — not stated by the source
Operational conditions4 differ
Operating temperature (T-T)Differs0 - 50 °C32 - 113 °F
Storage temperature (T-T)Differs-25 - 70 °C-20 - 70 °C
Operating relative humidity (H-H)Differs5 - 80%10 - 90%
Storage relative humidity (H-H)Differs5 - 95%10 - 95%
Operating altitudeKnown for one0 - 3050 mUnknown — not stated by the source
Heat dissipationKnown for one290 BTU/hUnknown — not stated by the source
Weight & dimensions1 differ
WeightDiffers7.1 kg3.6 kg
Performanceidentical
Mean time between failures (MTBF)Known for one300000 hUnknown — not stated by the source
Poweridentical
Power sourceKnown for oneDCUnknown — not stated by the source
Power consumption (typical)Known for one85 WUnknown — not stated by the source
Packaging dataidentical
Package widthKnown for one530 mmUnknown — not stated by the source
Package depthKnown for one580 mmUnknown — not stated by the source
Package heightKnown for one145 mmUnknown — not stated by the source
Certificatesidentical
CertificationKnown for oneUL, cUL,TUV RoHSUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons